curl --request GET \
--url https://api.smokeball.com/tasks/{id} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/tasks/{id}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentTask": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"createdBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"completedBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"lastUpdatedBy": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"assignees": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"subTasks": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
}
],
"subject": "Review contract for John Smith",
"note": "Contract needs to be reviewed and discussed with John",
"categories": [
"<string>"
],
"dueDate": "2020-02-15T13:00:00Z",
"dueDateOnly": "2020-02-15T00:00:00",
"completedDate": "2020-02-15T13:00:00Z",
"completedDateOnly": "2020-02-15T00:00:00",
"createdDate": "2020-02-15T13:00:00Z",
"createdDateOnly": "2020-02-15T00:00:00",
"isCompleted": false,
"isDeleted": false,
"lastUpdated": 637847425252027400,
"duration": "PT4H33M"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Get a task
Retrieves a specified task.
Path Parameters
Response
When request is successful. Returns a 'Task' object.
Show child attributes
Show child attributes
Matter associated to the task.
Show child attributes
Show child attributes
The parent task associated to this task. Id is missing if this task is not a sub task.
Show child attributes
Show child attributes
The staff member who created the task.
Show child attributes
Show child attributes
The staff member who completed the task.
Show child attributes
Show child attributes
The staff member who last updated the task.
Show child attributes
Show child attributes
The staff member(s) assigned to the task.
Show child attributes
Show child attributes
The tasks associated to the task.
Show child attributes
Show child attributes
The subject - a short description of the task.
"Review contract for John Smith"
Notes on the task.
"Contract needs to be reviewed and discussed with John"
Categories for the task.
Deprecated. Use DueDateOnly instead.
The due date of the task in UTC.
"2020-02-15T13:00:00Z"
The due date of the task.
The time portion will always be set to 00:00:00 and should be ignored. Only the date portion is relevant.
"2020-02-15T00:00:00"
Deprecated. Use CompletedDateOnly instead.
When the task was completed in UTC.
"2020-02-15T13:00:00Z"
The date when the task was completed.
The time portion will always be set to 00:00:00 and should be ignored. Only the date portion is relevant.
"2020-02-15T00:00:00"
Deprecated. Use CreatedDateOnly instead.
When the task was created in UTC.
"2020-02-15T13:00:00Z"
The date when the task was created.
The time portion will always be set to 00:00:00 and should be ignored. Only the date portion is relevant.
"2020-02-15T00:00:00"
True when the task is completed.
false
True when the task is deleted.
false
Last updated timestamp.
637847425252027400
Duration of the task in ISO 8601 duration format.
"PT4H33M"